Class | Nokogiri::XML::EntityDecl
In: | lib/nokogiri/xml/entity_decl.rb ext/nokogiri/xml_sax_push_parser.c
Parent: | Nokogiri::XML::Node

call-seq:

     system_id

Get the URI for a SYSTEM or PUBLIC Entity

### Methods

content entity_type external_id inspect new original_content system_id

### Public Class methods

new(name, doc, *args)

### Public Instance methods

content

Get the content

entity_type

Get the entity type

external_id

Get the external identifier for PUBLIC

inspect()
original_content

Get the original_content before ref substitution

system_id

Get the URI for a SYSTEM or PUBLIC Entity

[Validate]